DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTReferringPhysicianIdentificationSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferringPhysicianIdentificationSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081) More...
OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080) More...
OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040) More...
OFCondition | getPersonAddress (OFString &value, const signed long pos=0) const
| get PersonAddress (0040,1102) More...
OFCondition | getPersonTelecomInformation (OFString &value, const signed long pos=0) const
| get PersonTelecomInformation (0040,1104) More...
OFCondition | getPersonTelephoneNumbers (OFString &value, const signed long pos=0) const
| get PersonTelephoneNumbers (0040,1103) More...
DRTInstitutionCodeSequence & | getInstitutionCodeSequence ()
| get InstitutionCodeSequence (0008,0082) More...
const DRTInstitutionCodeSequence & | getInstitutionCodeSequence () const
| get InstitutionCodeSequence (0008,0082) More...
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041) More...
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041) More...
DRTPersonIdentificationCodeSequence & | getPersonIdentificationCodeSequence ()
| get PersonIdentificationCodeSequence (0040,1101) More...
const DRTPersonIdentificationCodeSequence & | getPersonIdentificationCodeSequence () const
| get PersonIdentificationCodeSequence (0040,1101) More...
OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081) More...
OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080) More...
OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040) More...
OFCondition | setPersonAddress (const OFString &value, const OFBool check=OFTrue)
| set PersonAddress (0040,1102) More...
OFCondition | setPersonTelecomInformation (const OFString &value, const OFBool check=OFTrue)
| set PersonTelecomInformation (0040,1104) More...
OFCondition | setPersonTelephoneNumbers (const OFString &value, const OFBool check=OFTrue)
| set PersonTelephoneNumbers (0040,1103) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DRTInstitutionCodeSequence | InstitutionCodeSequence
| InstitutionCodeSequence (0008,0082) vr=SQ, vm=1, type=1C.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=1C.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DcmShortText | PersonAddress
| PersonAddress (0040,1102) vr=ST, vm=1, type=3.
DRTPersonIdentificationCodeSequence | PersonIdentificationCodeSequence
| PersonIdentificationCodeSequence (0040,1101) vr=SQ, vm=1, type=1.
DcmLongText | PersonTelecomInformation
| PersonTelecomInformation (0040,1104) vr=LT, vm=1, type=3.
DcmLongString | PersonTelephoneNumbers
| PersonTelephoneNumbers (0040,1103) vr=LO, vm=1-n, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTReferringPhysicianIdentificationSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTReferringPhysicianIdentificationSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getInstitutionAddress()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentName()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence& DRTReferringPhysicianIdentificationSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

## ◆ getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence& DRTReferringPhysicianIdentificationSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

## ◆ getInstitutionCodeSequence() [1/2]

DRTInstitutionCodeSequence& DRTReferringPhysicianIdentificationSequence::Item::getInstitutionCodeSequence | ( |  | ) |
| inline

get InstitutionCodeSequence (0008,0082)

Returns
  reference to sequence element

## ◆ getInstitutionCodeSequence() [2/2]

const DRTInstitutionCodeSequence& DRTReferringPhysicianIdentificationSequence::Item::getInstitutionCodeSequence | ( |  | ) | const
| inline

get InstitutionCodeSequence (0008,0082)

Returns
  const reference to sequence element

## ◆ getInstitutionName()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonAddress()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::getPersonAddress | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PersonAddress (0040,1102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonIdentificationCodeSequence() [1/2]

DRTPersonIdentificationCodeSequence& DRTReferringPhysicianIdentificationSequence::Item::getPersonIdentificationCodeSequence | ( |  | ) |
| inline

get PersonIdentificationCodeSequence (0040,1101)

Returns
  reference to sequence element

## ◆ getPersonIdentificationCodeSequence() [2/2]

const DRTPersonIdentificationCodeSequence& DRTReferringPhysicianIdentificationSequence::Item::getPersonIdentificationCodeSequence | ( |  | ) | const
| inline

get PersonIdentificationCodeSequence (0040,1101)

Returns
  const reference to sequence element

## ◆ getPersonTelecomInformation()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::getPersonTelecomInformation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PersonTelecomInformation (0040,1104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonTelephoneNumbers()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::getPersonTelephoneNumbers | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PersonTelephoneNumbers (0040,1103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTReferringPhysicianIdentificationSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTReferringPhysicianIdentificationSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTReferringPhysicianIdentificationSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionAddress()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionalDepartmentName()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionName()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonAddress()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::setPersonAddress | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PersonAddress (0040,1102)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonTelecomInformation()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::setPersonTelecomInformation | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PersonTelecomInformation (0040,1104)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonTelephoneNumbers()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::setPersonTelephoneNumbers | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PersonTelephoneNumbers (0040,1103)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTReferringPhysicianIdentificationSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrpis.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1